: Interface nsIMdbPort

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.mdb
Interface nsIMdbPort

All Known Subinterfaces:
  nsIMdbStore

public abstract interface nsIMdbPort
extends nsIMdbObject

Method Summary
`java.lang.String` | `BestExportFormat(nsIMdbEnv ev)`
`boolean` | `CanExportToFormat(nsIMdbEnv ev, java.lang.String inFormatVersion)`
`grendel.storage.mdb.nsIMdbThumb` | `ExportToFormat(nsIMdbEnv ev, java.lang.String inFilePath, java.lang.String inFormatVersion)`
`java.lang.String` | `GetFormatVersion(nsIMdbEnv ev)`
`boolean` | `GetIsPortReadonly(nsIMdbEnv ev)`
`boolean` | `GetIsStore(nsIMdbEnv ev)`
`boolean` | `GetIsStoreAndDirty(nsIMdbEnv ev)`
`java.lang.String` | `GetPortFilePath(nsIMdbEnv ev)`
`grendel.storage.mdb.nsIMdbPortTableCursor` | `GetPortTableCursor(nsIMdbEnv ev, int inRowScope, int inTableKind)`
`nsIMdbRow` | `GetRow(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`int` | `GetRowRefCount(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`nsIMdbTable` | `GetTable(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`nsIMdbTable` | `GetTableKind(nsIMdbEnv ev, int inRowScope, int inTableKind)`
`int` | `GetTableKindCount(nsIMdbEnv ev, int inRowScope, int inTableKind)`
`grendel.storage.mdb.mdbUsagePolicy` | `GetUsagePolicy(nsIMdbEnv ev)`
`boolean` | `HasRow(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`boolean` | `HasTable(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`boolean` | `HasTableKind(nsIMdbEnv ev, int inRowScope, int inTableKind)`
`int` | `IdleMemoryPurge(nsIMdbEnv ev)`
`int` | `PanicMemoryPurge(nsIMdbEnv ev)`
`int` | `QueryToken(nsIMdbEnv ev, java.lang.String inTokenName)`
`int` | `SessionMemoryPurge(nsIMdbEnv ev, int inDesiredBytesFreed)`
`void` | `SetUsagePolicy(nsIMdbEnv ev, grendel.storage.mdb.mdbUsagePolicy inUsagePolicy)`
`int` | `StringToToken(nsIMdbEnv ev, java.lang.String inTokenName)`
`java.lang.String` | `TokenToString(nsIMdbEnv ev, int inToken)`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### GetIsPortReadonly

    public boolean GetIsPortReadonly(nsIMdbEnv ev)

### GetIsStore

    public boolean GetIsStore(nsIMdbEnv ev)

### GetIsStoreAndDirty

    public boolean GetIsStoreAndDirty(nsIMdbEnv ev)

### GetUsagePolicy

    public grendel.storage.mdb.mdbUsagePolicy GetUsagePolicy(nsIMdbEnv ev)

### SetUsagePolicy

    public void SetUsagePolicy(nsIMdbEnv ev,
                               grendel.storage.mdb.mdbUsagePolicy inUsagePolicy)

### IdleMemoryPurge

    public int IdleMemoryPurge(nsIMdbEnv ev)

### SessionMemoryPurge

    public int SessionMemoryPurge(nsIMdbEnv ev,
                                  int inDesiredBytesFreed)

### PanicMemoryPurge

    public int PanicMemoryPurge(nsIMdbEnv ev)

### GetPortFilePath

    public java.lang.String GetPortFilePath(nsIMdbEnv ev)

### GetFormatVersion

    public java.lang.String GetFormatVersion(nsIMdbEnv ev)

### BestExportFormat

    public java.lang.String BestExportFormat(nsIMdbEnv ev)

### CanExportToFormat

    public boolean CanExportToFormat(nsIMdbEnv ev,
                                     java.lang.String inFormatVersion)

### ExportToFormat

    public grendel.storage.mdb.nsIMdbThumb ExportToFormat(nsIMdbEnv ev,
                                                          java.lang.String inFilePath,
                                                          java.lang.String inFormatVersion)

### TokenToString

    public java.lang.String TokenToString(nsIMdbEnv ev,
                                          int inToken)

### StringToToken

    public int StringToToken(nsIMdbEnv ev,
                             java.lang.String inTokenName)

### QueryToken

    public int QueryToken(nsIMdbEnv ev,
                          java.lang.String inTokenName)

### HasRow

    public boolean HasRow(nsIMdbEnv ev,
                          grendel.storage.mdb.mdbOid inOid)

### GetRow

    public nsIMdbRow GetRow(nsIMdbEnv ev,
                            grendel.storage.mdb.mdbOid inOid)

### GetRowRefCount

    public int GetRowRefCount(nsIMdbEnv ev,
                              grendel.storage.mdb.mdbOid inOid)

### HasTable

    public boolean HasTable(nsIMdbEnv ev,
                            grendel.storage.mdb.mdbOid inOid)

### GetTable

    public nsIMdbTable GetTable(nsIMdbEnv ev,
                                grendel.storage.mdb.mdbOid inOid)

### HasTableKind

    public boolean HasTableKind(nsIMdbEnv ev,
                                int inRowScope,
                                int inTableKind)

### GetTableKindCount

    public int GetTableKindCount(nsIMdbEnv ev,
                                 int inRowScope,
                                 int inTableKind)

### GetTableKind

    public nsIMdbTable GetTableKind(nsIMdbEnv ev,
                                    int inRowScope,
                                    int inTableKind)

### GetPortTableCursor

    public grendel.storage.mdb.nsIMdbPortTableCursor GetPortTableCursor(nsIMdbEnv ev,
                                                                        int inRowScope,
                                                                        int inTableKind)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD